/**
 * 来电弹屏
 * */

//来电时传输的数据
var phoneNumber = helper.request.queryString("Number");
var CallID = helper.request.queryString("CallID");
var KHid;
var UserCode;
var timestamp = Date.parse(new Date());
//通话中执行变化
var timer, n = 0;

//测试数据
// var phoneNumber = "15235457488";
// var CallID = "148";

$(function() {
	//初始化一些数据
	$(".hidCallID").val(CallID);

	$(".tel").text(phoneNumber); //左侧来电号码
	$("#order_tel").val(phoneNumber); //右侧工单电话

	$(".ldtime").text(top.getNowFormatDate()); //左侧来电时间
	$(".thsc").text("00:00"); //通话时间
	autosize($('textarea'));
	//初始化时间
	laydate.render({
		elem: '#old_startTime',
		theme: '#1ab394',
		calendar: true
	});

	laydate.render({
		elem: '#old_endTime',
		theme: '#1ab394',
		calendar: true
	});
	laydate.render({
		elem: '#con_startTime',
		theme: '#1ab394',
		calendar: true
	});

	laydate.render({
		elem: '#con_endTime',
		theme: '#1ab394',
		calendar: true
	});
    laydate.render({
    	elem: '#sc_time',
    	// range: '~',
		type: 'datetime',
    	theme: '#1ab394',
    	// calendar: true
    });
	/*左侧 部分*/

	//获取电话所属地
	if(phoneNumber) {
		getPhoneLocation(); //获取来电归属地
		getCustomer(); //获取来电客户信息
	}
	//根据关键词搜索公司 
	$('#companySearch').on('click', getSearchCustomer);

	//保存来电客户信息
	$('#head_form_btn_save').on('click', headFormSave);
	
	//清空来电客户信息
	// $('#head_form_btn_reset').on('click', headFormReset);

	//点击IVR
	$('#head_black_ivr').click(function() {
		top.obj.Type = "TurnIvr";
		top.obj.IvrName = "MYD";
		top.obj.IvrPos = "1";
		top.Send();
	});

	//点击拉黑	加入黑名单			
	$('#head_black_btn').click(function() {
		if(!phoneNumber) {
			layer.confirm('来电号码为空！', {
				icon: 2,
				btn: ['确定']
			});
			return;
		}
		$("#time-word").val('');
		$('.ldtp-con .hei-list').show();
	});

	//拉黑 关闭
	$('.hei-list .bacha').click(function() {
		$('.ldtp-con .hei-list').hide();
		$("#time-word").val('');
	});

	//拉黑 保存
	$('#bc').on('click', saveBlack);

	//取消黑名单
	$('.retur').on('click', cancelBlack);

	/*右侧 部分*/

	//加载历史记录、历史工单
	loadOldOrComplain('0');

	//获取知识库
	loadZSK();

	//弹屏右侧切换效果
	$(".ldtp-cr ul.ld-service li").click(function() {
		var tabIndex = $(this).index() + '';
		//console.log(tabIndex);
		$(this).addClass("cr-click").siblings().removeClass("cr-click");
		loadOldOrComplain(tabIndex);
	});

	//获取工单来源
	helper.getDropList.getlistDropByDic($('#order_source'), 'GDLY')
	// .then(function() {
	// 	$('#order_source').selectpicker('val', '468').trigger('change');
	// });
	//获取业务办理
	helper.getDropList.getlistDropByDic($('#order_handle'), 'YWLX');
	//获取工单子类
	helper.getDropList.getlistDropByDic($('#order_godant'), 'GSZL');
	//获取工单类型
	helper.getDropList.getOrderRadios($('#order_type'), 'GDLX',); 
	// 'inlineRadioOptions').then(function() {
	// 	$('#order_type').find('input[type="radio"]').on('change', function() {
	// 		if($(this).val() === "107") { //业务办理
	// 			$('#order_handles').show();
	// 		}else{
	// 			$('#order_handles').hide();
	// 		}
	// 	});
	// });
	//工单有效性 
	$('#order_iseffective').find('input[type="radio"]').on('change', function() {
		//是否有效工单项(0有效，1无效)
		if($(this).val() === "1") { //无效
			$('.order_note').show();
			$('#order_isover_box').hide();
			$('#order_isover').find('input[type="radio"][value="1"]').prop('checked', true).trigger('change');
		} else {
			$('.order_note').hide();
			$('#order_isover_box').show();
			$('#order_isover').find('input[type="radio"][value="0"]').prop('checked', true).trigger('change');
		}
	});
	//获取接收部门 
	getDepts('reginsTreeView', 'order_transfer_dept');
	
	// 立即处理
	$('#order_isover').find('input[type="radio"]').on('change', function(){
		if($(this).val() === '1'){
			$('#order_transfer_depts').hide();
		}else{
			$('#order_transfer_depts').show();
		}
	});
	
	//新增工单创建
	$('#save_order').on('click', orderSave);

	//知识库查询
	$(".searIcon").click(function() {
		loadZSK();
	});

	//历史记录/历史工单 查询
	$(".searchbtn").click(function() {
		var tabIndex = $(this).attr('itemtype');
		loadOldOrComplain(tabIndex);
	});

	//关闭录音弹出
	$(".setwin").click(function() {
		$(".t-shade").removeClass("cx");
		$('audio')[0].pause();
	});

});

function clearInter() {
	clearInterval(timer);
}

function calling() {
	$(".td-call").show();
	n = 0;
	clearInterval(timer);
	timer = setInterval(function() {
		n++;
		var m = parseInt(n / 60 % 60);
		var s = parseInt(n % 60);
		//var thsc=toDub(m) + ":" + toDub(s);
		$(".thsc").text(toDub(m) + ":" + toDub(s));
	}, 1000);

}

function toDub(i) {
	return i < 10 ? "0" + i : "" + i;
}

//获取电话所属地
function getPhoneLocation() {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetPhoneLocation', {
		"tel": phoneNumber,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(".khgsd").text(result.data);
		}
	});
}

//根据关键词搜索公司 
function getSearchCustomer() {
	$.ajax({
		url: huayi.config.callcenter_url + 'CustomerNew/GetListByKey',
		type: 'get',
		data: {
			keywords: $('#head_form_search').val(),// 关键词
			token: $.cookie("token")
		},
		dataType: "json",
		async: true,
		success: function(data) {
			if(data.state.toLowerCase() === 'success') {
				var customerBase = data.data;
				if(customerBase){
					$('#head_form_customer_id').val(customerBase.F_CustomerId); //客户id
					$('#head_form_name').val(customerBase.F_CompanyName);//公司名称
					$('#head_form_cmpaddress').val(customerBase.F_CompanyAddress);//公司地址
					$('#head_form_legname').val(customerBase.F_LegalName);//法人姓名
					$('#head_form_legtel').val(helper.filter.cutTel(customerBase.F_LegalTel));//法人电话
					$('#head_form_cmpaddress').val(customerBase.F_SubTrade);//所属行业
					//获取对应的联系人信息
					getCustomerLists(1, customerBase.F_CustomerId);
					$('#order_company').val(customerBase.F_CompanyName); //给工单的公司名称赋值
				}
			}
		},
	});
}

/**
 * 根据电话获取 客户信息
 * */
 function getCustomer(){
	$.ajax({
		url: huayi.config.callcenter_url + 'CustomerNew/GetCustomerByTel',
		type: 'get',
		data: {
			tel: phoneNumber, //否	string	来电电话 例如:13663801989
			token: $.cookie("token")
		},
		dataType: "json",
		async: true,
		success: function(data) {
			if(data.state.toLowerCase() === 'success') {
				var customerBase = data.data && data.data.CustomerBase;
				if(customerBase){
					$('#head_form_customer_id').val(customerBase.F_CustomerId); //客户id
					$('#head_form_name').val(customerBase.F_CompanyName);//客户姓名
					$('#head_form_cmpaddress').val(customerBase.F_CompanyAddress);//公司地址
//					$('#head_form_legname').val(customerBase.F_LegalName);//法人姓名
//					$('#head_form_legtel').val(helper.filter.cutTel(customerBase.F_LegalTel));//法人电话
//					$('#head_form_subtrade').val(customerBase.F_SubTrade);//所属行业
					//获取对应的联系人信息
					getCustomerLists(1, customerBase.F_CustomerId);
//					$('#order_company').val(customerBase.F_CompanyName); //给工单的公司名称赋值
					if($('#head_form_customer_id').val()==" "){
						$('#keBian').show();
					}else{
						$('#keBian').hide();
					}
				}
			}
		},
	}); 
 }
 
/**
 * 根据电话获取 客户联系人列表
 * paramPage： 页数请求的是第几页
 * cid： 客户的id
 * */
function getCustomerLists(paramPage, cid) {
	$('#head_customer_info').html('');
	$.ajax({
		url: huayi.config.callcenter_url + 'CustomerNew/GetConList',
		type: 'get',
		data: {
			cusid: cid, //客户id
			pageindex: paramPage, //第几页
			pagesize: 2,
			tel: phoneNumber, //否	string	来电电话 例如:13663801989
			token: $.cookie("token")
		},
		dataType: "json",
		async: true,
		success: function(returnValue) {
			var tableDatas = returnValue.rows;
			//异步获取列表数据
			if(tableDatas && tableDatas.length > 0) {
				$('#head_form_name').val(tableDatas[0].F_Name);//左侧姓名
				$('#head_form_name').prop('readonly', true);
				$('#order_name').val(tableDatas[0].F_Name);//右侧工单姓名
				//加载内容
				$('#head_customer_info').html('');
				for(var i = 0, tableDatasLength = tableDatas.length; i < tableDatasLength; i++) {
					var itmeHtml = '<div class="head_customer_info_item clearfix">' +
						'<div class="head_customer_info_item_l pull-left">' +
						'<p class="clearfix">' +
						'<span>姓名</span>' +
						'<span>' + tableDatas[i].F_Name + '</span>' +
						'</p>' +
						'<p>' +
						'<span>电话</span>' +
						'<span>' + helper.filter.cutTel(tableDatas[i].F_Telephone) + '</span>' +
						'</p>' +
						'<p>' +
						'<span>是否主要联系人</span>' +
						'<span>' + (tableDatas[i].F_IsMain === true ? '是' : '否') + '</span>' +
						'</p>' +
						'</div>' +
						'<div class="head_customer_info_item_r pull-left" id="customerBtn_' + i + '">'+
						// '选择' +
						'</div>' +
						'</div>'
					$('#head_customer_info').append(itmeHtml);
				}
				if(tableDatasLength > 0) {
					$.jqPaginator('#pagination', {
						totalCounts: returnValue.total,
						pageSize: 2,
						currentPage: paramPage,
						visiblePages: 10,
						prev: '<li class="prev"><a href="javascript:;">上一页</a></li>',
						next: '<li class="next"><a href="javascript:;">下一页</a></li>',
						//page: '<li class="page"><a href="javascript:;">{{page}}</a></li>',
						onPageChange: function(num, type) {
							$('#page_number').text(num + "/" + Math.ceil(returnValue.total / 2));
							//console.log(type + '：' + num);
							if(type == 'change') {
								getCustomerLists(num);
							}
						}
					});
				} else {
					$('.head_customer_info_title').hide();
				}
			} else {
				$('.head_customer_info_title').hide();
				$('#head_form_name').val('');//联系人姓名
				$('#head_form_name').prop('readonly', false);
			}
		},
	});
}


//清空head_form
function headFormClean() {
	//左侧信息清空；
	 $('#head_form_customer_id').val('');
	$('.head_form').find('.form-control').val('');
	$('#head_form_tel').val(helper.filter.cutTel(phoneNumber));
}

//保存来电客户信息
function headFormSave() {
	if(!$.trim($('#head_form_name').val())) {
		layer.confirm('请输入姓名！', {
			icon: 2,
			btn: ['确定']
		});
		return;
	}
// 	if(!regexs.phone.test($.trim($('#head_form_tel').val()))) {
// 		layer.confirm('请输入正确的电话！', {
// 			icon: 2,
// 			btn: ['确定']
// 		});
// 		return;
// 	}
	
	$.post(huayi.config.callcenter_url + 'CustomerNew/AddContact', {
		F_CustomerId: $('#head_form_customer_id').val(),// int客户id
		F_Name: $('#head_form_name').val(),//string 联系人姓名
		F_Telephone: phoneNumber,// string电话
		token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() === "success") {
			//给 右侧新增工单赋值
			$('#order_name').val($('#head_form_name').val()); //客户姓名
			$('#order_company').val($('#head_form_cmpname').val()); //公司名称
			layer.msg("保存成功");
		}
	})
}

//获取知识库
function loadZSK() {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/GetZSKList', {
		"keywords": $(".search").val(),
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(".ldcr-bottom .detail-con ul").empty();
			$(result.data).each(function(i, n) {
				var html = '<li>' +
					'   <div class="zhishi-title clearfix">' +
					'	    <a href="javascript:void(0);" >' + n.F_Title + '</a>' +
					'	    <em >' + n.F_CreateOn + '</em>' +
					'   </div>' +
					'   <div class="explancon">' +
					n.F_Content +
					'   </div>' +
					'</li>';
				$(html).appendTo($(".ldcr-bottom .detail-con ul")).find(".zhishi-title").click(function(event) {
					event.stopPropagation();
					if($(this).hasClass("active")) {
						$(this).removeClass("active")
					} else {
						$(".zhishi-title").removeClass("active");
						$(this).addClass("active");
					}
				})
			})
		}
	})
}

//加载 历史记录或历史工单
function loadOldOrComplain(tabIndex) {
	$(".complain").hide();
	switch(tabIndex) {
		case '0':
			$(".complain").eq(0).show();
			break;
		case '1':
			getOldList()
			break;
		case '2':
			getComplainList()
			break;
		case '3':
				$(".complain").eq(3).show();
				if($('#head_form_customer_id').val() != ''){
					getCustomerDetail(); // 获取客户详情
					getTaxDetail(); // 获取财税情况
				}
			break;
		default:
			break;
	}
}

//获取客户详情
function getCustomerDetail() {
	$.getJSON(huayi.config.callcenter_url + "CustomerNew/GetCustomer", {
		cusid: $('#head_form_customer_id').val(), //客户id
		token: $.cookie("token")
	}, function(data) {
		if (data.state.toLowerCase() == "success") {
			var cusBase = data.data && data.data.CustomerBase;
//			$('#customer_bedept').text(data.data && data.data.BeDeptName); // int 客户归属部门
//			if (cusBase) {
				$('#customer_code').text(cusBase.F_CustomerCode); //string 客户编号
				$('#customer_companyname').text(cusBase.F_LegalName); //string客户姓名
				$('#customer_comaddress').text(cusBase.F_LegalTel); //string 客户电话
				$('#customer_legalName').text(cusBase.F_Address); //string 客户地址
				
//			}
			
		}
	});
}

//获取财税情况
function getTaxDetail(){
	$.getJSON(huayi.config.callcenter_url + "CustomerNew/GetFinc",{
		cusid: $('#head_form_customer_id').val(), // 客户id
		token: $.cookie("token")
	},function(data){
		if(data.state.toLowerCase() === 'success'){
			data = data.data;
			$('#tax_code').text(data.F_CustomerCode); //	string 客户编号	
			$('#tax_MonthState').text(data.F_MonthState); //	string 本月财税情况:已结清/未结清
			$('#tax_AnnualIncome').text(data.F_AnnualIncome); //	string 本年收入（元）
			$('#tax_AnnualProfit').text(data.F_AnnualProfit); //	string 本年利润	
			$('#tax_AnnualCost').text(data.F_AnnualCost); //	string 本年费用
			$('#tax_AnnualPersonCount').text(data.F_AnnualPersonCount); //	string 本年人数	
			$('#tax_AnnualWages').text(data.F_AnnualWages); //	string 本年工资	
			$('#tax_QuarterlyCost').text(data.F_QuarterlyCost); //	string	本季费用
			$('#tax_QuarterlyPersonCount').text(data.F_QuarterlyPersonCount); //	string	本季人数	
			$('#tax_QuarterlyWages').text(data.F_QuarterlyWages); //	string	本季工资	
			$('#tax_QuarterlyIncome').text(data.F_QuarterlyIncome); //	string	本季收入
			$('#tax_QPVAT').text(data.F_QPVAT); //	string	本季应交税额-增值税	
			$('#tax_QPSurtax').text(data.F_QPSurtax); //	string	本季应交税额-附加税	
			$('#tax_QPTaxes').text(data.F_QPTaxes); //	string	本季应交税额-企业所得税
			$('#tax_QPConTax').text(data.F_QPConTax); //	string	本季应交税额-文化事业建设税	
			$('#tax_QPPerinTax').text(data.F_QPPerinTax); //	string	本季应交税额-个税	
			$('#tax_QPStampTax').text(data.F_QPStampTax); //	string	本季应交税额-其他税额
		}
	});
}

//获取历史记录
function getOldList() {
	$(".complain").eq(1).show();
	//先销毁表格
	$('#oldlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#oldlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "CallInScreen/GetOldList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 10, 50, 100], //记录数可选列表
		search: false, //是,//否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				tel: phoneNumber,
				starttime: $("#old_startTime").val(),
				endtime: $("#old_endTime").val(),
				token: $.cookie("token")

			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//获取历史工单
function getComplainList() {
	$(".complain").eq(2).show();
	//先销毁表格
	$('#orderlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#orderlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrder/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 10, 50, 100], //记录数可选列表
		search: false, //是,//否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				keyword: phoneNumber, //否	string	模糊搜索可输入客户姓名,电话,工单号，反馈内容
				starttime: $("#con_startTime").val(), //否	string	工单起止时间
				endtime: $("#con_endTime").val(), //否	string	工单起止时间
				token: $.cookie("token"),
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});

}

//格式化内处理方式
function formatterDealType(val, row) {
	//处理方式0:IVR处理1骚扰电话2自助服务3转值班电话4留言5呼损6人工处理
	var str = '-';
	switch(val) {
		case 0:
			str = 'IVR处理';
			break;
		case 1:
			str = '骚扰电话';
			break;
		case 2:
			str = '自助服务';
			break;
		case 3:
			str = '转值班电话';
			break;
		case 4:
			str = '留言';
			break;
		case 5:
			str = '呼损';
			break;
		case 6:
			str = '人工处理';
			break;
	}
	return str;
}

//格式化工单编号
function formatterWorkOrderID(val, row) {
	return '<div class="imgs" ><a class="xg" onclick="btn_detail(\'' + row.ID + '\',\'' + row.State + '\',\'' + row.IsAdminSend + '\')">' + val + '</a></div>'
}

function btn_detail(oid, isdeal, proid) {
	layer.open({
		type: 2,
		title: '工单详情',
		//maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: '../commonTpl/seeWorkOrderDetail.html?oid=' + oid + '&isdeal=' + isdeal + '&proid=' + proid
	});
}

//格式化内容
function formatterDetail(val) {
	if(val) {
		var codeContent = decodeURIComponent(val);
		var cc = codeContent.length > 10 ? codeContent.substr(0, 10) + '...' : codeContent;
		return '<div title="' + codeContent + '">' + cc + '</div>';
	} else {
		return '-';
	}
}

//格式化呼叫状态
function formatterCallState(val) {
	if(val == '1') {
		return '已接通';
	} else {
		return '未接通';
	}
}

//格式化音频
function formatterRecord(val) {
	if(val) {
		return '<div class="imgs" style="cursor: pointer;">' +
			'<img src="../img/vice.png" alt="" onclick= ck(this) item="' + val + '" />' +
			'</div>';
	} else {
		return '';
	}
}

//点击录音
function ck(val) {
	var path = $(val).attr("item");
	$(".t-shade").addClass("cx");
	$(".Ly_box").empty();
	$(".down").attr("href", path);
	$('<audio style="width: 100%;"class=" " src="' + path + '" loop="loop" controls="controls" ></audio>').appendTo(".Ly_box");
}

//格式化 工单状态
function formatterState(val) {
	//工单状态0待指派，1待处理，2已处理 原来的状态 不用！！！！
	// 0新工单待指派，1已指派待接单，2已接单待处理，3已退回待处理，4异常退回待处理，5处理中，10已完结
	var stateStr = '-';
	var stateClass = '';
	switch(val) { 
		case 0:
			stateStr = '待指派';
			stateClass = 'audit_wait';
			break;
		case 1:
			stateStr = '待接单';
			stateClass = 'audit_refuse';
			break;
		case 2:
			stateStr = '待处理';
			stateClass = 'audit_revoke';
			break;
		case 3:
			stateStr = '已退回';
			stateClass = 'audit_termination'; 
			break;
		case 4:
			stateStr = '异常退回';
			stateClass = 'audit_termination';
			break;
		case 5:
			stateStr = '处理中';
			stateClass = 'audit_doned';
			break;
		case 10:
			stateStr = '已完结';
			stateClass = 'audit_done';
			break;
		default:
			break;
	}
	
	return '<div class="' + stateClass + '">' + stateStr + '</div>';
}

//格式化 工单有效性
function formatterIsEffective(val) {
	var stateStr = '-';
	var stateClass = '';
	switch(val) { //是否有效工单项(0有效，1无效)
		case 0:
			stateStr = '有效';
			stateClass = 'audit_done';
			break;
		case 1:
			stateStr = '无效';
			stateClass = 'audit_revoke';
			break;
		default:
			break;
	}
	return '<div class="' + stateClass + '">' + stateStr + '</div>';
}

//格式化接收人
function formatterAuditUser(val) {
	if(val === "0") {
		return '-';
	} else {
		return val;
	}
}
/**
 * 附件上传直接在知识库管理拿来用     开始
 * */

var proimglist = []; //保存附件数组
var uploader; //上传实例
var limitNum = 6; //限制数量
var edit_id = helper.request.queryString("edit_id");
var token = $.cookie("token");

$(function() {
	autosize($('textarea'));
	getChangeTree();
	if(edit_id) {
		getDetail();
	} else {
		$('#kn_type').val('顶级分类');
		$('#kn_type').attr('data-id', 0)
		uploaderImages();
	}
	//初始化 下拉
	$('.inps1').focus(function() {
		$('.xlAdd').css('display', 'block');
	});
	$('.xl_one').click(function() {
		if($('.xlAdd').css('display') == 'block') {
			$('.xlAdd').css('display', 'none')
		} else {
			$('.xlAdd').css('display', 'block')
		}
	});
	$('.addTree').mouseleave(function() {
		$(this).css('display', 'none')
	});
	
	$('#save_knowledge').on('click', saveKnowledge);
});



//修改弹出框内 下拉树形图参数配置项
function getChangeTree() {
	var setting3 = {
		data: {
			key: {
				name: "text"
			},
			simpleData: {
				enable: true,
				idKey: "id",
				rootPId: 0
			}
		},
		callback: {
			onClick: changeTreeClick
		}
	}
	$.get(huayi.config.callcenter_url + 'KnowledgeClass/GetList', {
//		"pid": pid,
		"token": token,
	}, function(result) {
		result = $.parseJSON(result);
		$.fn.zTree.init($("#addTreeDemo"), setting3, result.data); //实例化树形图
	});
}

function changeTreeClick(event, treeId, treeNode) {
	$('#kn_type').val(treeNode.text);
	$('#kn_type').attr('data-id', treeNode.id);
};

//获取详情
function getDetail() {
	var dtd = $.Deferred(); //在函数内部，新建一个Deferred对象
	$.ajax({
		type: "post",
		url: huayi.config.callcenter_url + "Knowledge/GetInfo",
		async: true,
		dataType: 'json',
		data: {
			infoid: edit_id,
			token: token
		},
		success: function(data) {
			var con = data.data;
			$('#kn_title').val(con.F_Title);
			$('#kn_key').val(con.F_KeyWords);
			$('#kn_content').val(con.F_Description);
			$('#kn_type').val(con.F_Expand1);
			$('#kn_type').attr('data-id', con.F_CategoryId);

			//附件
			var proimglists = con.FileUrls;
			proimglists = proimglists == null ? [] : proimglists;
			limitNum -= proimglists.length;
			uploaderImages(); //附件上传
			if(proimglists.length > 0) {
				$('#fileNum').text(proimglists.length);
				var $list = $("#fileList");
				$.each(proimglists, function(i, v) {
					proimglist.push(v.F_FileId);
					if(v.F_FileType.split("\/")[0] === 'image') {
						//原来的图片
						var $li = $(
							'<li><span class="img_mask"><i class="img_del"></i></span>' +
							'<img src="' + v.F_FileUrl + '" title="原来的图片"/>' +
							'<span class="file_name">' + v.F_FileName + '</span>' +
							'</li>'
						);
						$list.append($li);
					} else {
						var $liFile = $(
							'<li><span class="img_mask"><i class="img_del"></i></span>' +
							'<div class="noThumb" title="原来的文件"><i class="glyphicon glyphicon-paperclip"></i><p>无法预览</p></div>' +
							'<span class="file_name">' + v.F_FileName + '</span>' +
							'</li>'
						);
						$list.append($liFile);
					}
				});
				$list.find('li').off('click');
				$list.find('li').on('click', '.img_del', function() {
					$(this).parent().parent().remove();
					var itemFileName = $(this).parent().parent().find('.file_name').text();
					$.each(proimglists, function(i, v) {
						if(v && v.F_FileName == itemFileName) {
							proimglist.splice(i, 1);
						}
					});
					$('#fileNum').text(proimglist.length);
					limitNum = 6 - proimglist.length;
					uploaderImages();
				});
			}
			dtd.resolve(); // 改变Deferred对象的执行状态
		}
	});
	return dtd.promise(); // 返回promise对象
}

//保存
function saveKnowledge() {
	var wUrl;
	if(!$.trim($('#kn_type').val())) {
		layer.confirm('所属分类不能为空', {
			icon: 2,
			btn: ['确定'] //按钮
		});
		return;
	}
	
	if(!$.trim($('#kn_title').val())) {
		layer.confirm('标题不能为空', {
			icon: 2,
			btn: ['确定'] //按钮
		});
		return;
	}
	
	if(edit_id) {
		wURL = "Knowledge/EditInfo";
	} else {
		wURL = "Knowledge/AddInfo";
	}
	$.ajax({
		type: "post",
		url: huayi.config.callcenter_url + wURL,
		dataType: 'json',
		async: true,
		beforeSend: function() { //触发ajax请求开始时执行
			$('#save_knowledge').attr("disabled", true);
			$('#save_knowledge').text('保存中...');
			$(document).off('click', '#save_knowledge', saveKnowledge);
			loadIndex = layer.load();
		},
		data: {
			infoid: edit_id,
			title: $('#kn_title').val(),
			key: $('#kn_key').val(),
			con: helper.filter.delHtmlTag($('#kn_content').val()),
			pid: $('#kn_type').attr('data-id'),
			fileids: proimglist && proimglist.join(','),
			token: token
		},
		success: function(result) {
			if(result.state.toLowerCase() === "success") {
				var index = parent.layer.getFrameIndex(window.name);
				parent.layer.close(index);
				parent.table.bootstrapTable('refresh');
				layer.msg("保存成功");
			}
		},
		error: function(textStatus) {
			layer.close(loadIndex);
			layer.confirm('网络繁忙，请稍后再试...', {
				icon: 7,
				closeBtn: 0,
				btn: ['确定'] //按钮
			});
			$('#save_knowledge').text('保存');
			$('#save_knowledge').attr("disabled", false);
			$(document).off('click', '#save_knowledge', saveKnowledge);
			$(document).on('click', '#save_knowledge', saveKnowledge);
		},
		complete: function(XMLHttpRequest, textStatus) {
			layer.close(loadIndex);
			if(textStatus == 'timeout') {
				var xmlhttp = window.XMLHttpRequest ? new window.XMLHttpRequest() : new ActiveXObject("Microsoft.XMLHttp");
				xmlhttp.abort();
				layer.confirm('网络超时，请稍后再试...', {
					icon: 7,
					closeBtn: 0,
					btn: ['确定'] //按钮
				});　　　　
			}
			$('#save_knowledge').text('保存');
			$('#save_knowledge').attr("disabled", false);
			$(document).off('click', '#save_knowledge', saveKnowledge);
			$(document).on('click', '#save_knowledge', saveKnowledge);
		},
	});
}

//上传附件
function uploaderImages() {
	if(uploader) {
		uploader.destroy();
	}
	uploader = WebUploader.create({
		auto: true, // 选完文件后，是否自动上传 
		swf: '../../js/webuploader/Uploader.swf', // swf文件路径 
		server: huayi.config.callcenter_url + "Knowledge/UpLoadProcess", // 文件接收服务端 
		pick: '#imgPicker', // 选择文件的按钮。可选 
		formData: {
			token: token
		},
		// 多类型文件上传 
		accept: {
			title: 'Files',
			extensions: 'gif,jpg,jpeg,bmp,png,pdf,doc,docx,txt,xls,xlsx,ppt,pptx,zip,mp3,mp4,text,csv',
			mimeTypes: 'image/*,text/*,audio/mpeg,audio/mp4, video/mp4'
					//word
			+',application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document'
					//excel
			+',application/vnd.ms-excel,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'
					//ppt
			+',application/vnd.ms-powerpoint,application/vnd.openxmlformats-officedocument.presentationml.presentation'
			+',application/pdf'
			+',application/zip'
			+',application/csv'
			//			title: 'Images',
			//			extensions: 'gif,jpg,jpeg,bmp,png',
			//			mimeTypes: 'image/*'
		},
		compress: false, //webuploader默认压缩图片,设置compress:false，可以按照原始比例上传图片  
		//fileVal: "upFile",//设置文件上传域的name。  
		threads: limitNum, //上传并发数。允许同时最大上传进程数,为了保证文件上传顺序  
		fileNumLimit: limitNum,
		fileSizeLimit: 180 * 1024 * 1024, // 180 M
		fileSingleSizeLimit: 30 * 1024 * 1024 // 30 M
	});

	uploader.on('fileQueued', function(file) {
		var $list = $("#fileList"),
			$li = $(
				'<li id="' + file.id + '"><span class="img_mask"><i class="img_del"></i></span>' +
				'<img/>' +
				'<span class="img_state"><i></i></span>' +
				'<span class="file_name">' + file.name + '</span>' +
				'</li>'
			),
			$img = $li.find('img');

		// $list为容器jQuery实例 
		$list.append($li);

		// 保存缩略图 
		uploader.makeThumb(file, function(error, src) {
			if(error) {
				$img.replaceWith('<div class="noThumb"><i class="glyphicon glyphicon-paperclip"></i><p>无法预览</p></div>');
				return;
			}
			$img.attr('src', src);
		}, 109, 109); //109*109为缩略图尺寸 

		//绑定删除
		$('#' + file.id).on('click', '.img_del', function() {
			uploader.removeFile(file);
			var $fileLi = $('#' + file.id);
			$fileLi.off().find('.img_del').off().end().remove();
			var itemFileName = $(this).parent().parent().find('.file_name').text();
			$.each(proimglist, function(i, v) {
				if(v && v.filename == itemFileName) {
					proimglist.splice(i, 1);
					//helper.methods.delImgs(v.filesmallurl, v.fileurl);
				}
			});
			$('#fileNum').text(proimglist.length);
		});

	});

	// 文件上传过程中保存进度条实时显示。 
	uploader.on('uploadProgress', function(file, percentage) {
		var $li = $('#' + file.id),
			$percent = $li.find('.progress span');

		// 避免重复保存 
		if(!$percent.length) {
			$percent = $('<div class="progress" style="">' +
					'<span class="text">0%</span>' +
					'<span class="percentage"></span>' +
					'</div>')
				.appendTo($li)
				.find('span');
		}

		$percent.eq(0).text(Math.round(percentage * 100) + '%');
		$percent.eq(1).css('width', Math.round(percentage * 100) + '%');
	});

	// 文件上传成功，给item添加成功class, 用样式标记上传成功。 
	uploader.on('uploadSuccess', function(file, res) {
		proimglist.push(res.data.F_FileId);
		$('#fileNum').text(proimglist.length);
		$('#' + file.id).addClass('upload-state-done');
	});

	// 文件上传失败，显示上传出错。 
	uploader.on('uploadError', function(file) {
		var $li = $('#' + file.id),
			$error = $li.find('div.error');

		// 避免重复创建
		if(!$error.length) {
			$error = $('<div class="error"></div>').appendTo($li);
		}

		$error.text('上传失败');
	});

	// 完成上传完了，成功或者失败，先删除进度条。 
	uploader.on('uploadComplete', function(file) {
		$('#' + file.id).find('.progress').remove();
	});

	uploader.onError = function(code) {
		//		console.log('Error：' + code);
		switch(code) {
			case "Q_EXCEED_NUM_LIMIT":
				layer.msg('只能上传六个文件。');
				break;
			case "Q_TYPE_DENIED":
				layer.msg('文件类型不正确。');
				break;
			case "F_DUPLICATE":
				layer.msg('该文件已上传，请选择其它文件。');
				break;
			case "F_EXCEED_SIZE":
				layer.msg('单文件大小不能超过30M。');
				break;
			case "Q_EXCEED_SIZE_LIMIT":
				layer.msg('总文件大小不能超过180M。');
				break;
			default:
				break;
		}

	};
}
/**
 * 附件上传直接在知识库管理拿来用     结束
 * */

//新建工单 保存
function orderSave() {
//	if(!regexs.userNameReg.test($.trim($('#order_name').val()))) {
//		layer.confirm('请输入有效的客户姓名（2-20位汉字可以包含·•）！', {
//			icon: 2,
//			btn: ['确定']
//		});
//		return;
//	}
	
	var order_handle = $('#order_handles').is(':visible') ? $('#order_handle').val() : 0,
			order_transfer_dept = $('#order_transfer_dept').attr('data-id'),//int 接收部门
			order_receiveUser = $('#order_receiveUser').val();//int 接收人
	if($('#order_isover').find('input[type="radio"]:checked').val() === '1'){
		order_transfer_dept = 0;
		order_receiveUser = 0;
	}
	$.post(huayi.config.callcenter_url + 'CallInScreen/AddWorkOrder', {
		callid: CallID,//string； -此参数可根据来电弹屏时的客户绑定
		customerid: $('#head_form_customer_id').attr('data-cid'),//int 客户id； -此参数可根据来电弹屏时的客户绑定
		source: $('#order_source').val(),//int 工单来源-下拉，数据来源：数据字典GDLY；
		gdlx: $('#order_type').find('input[type="radio"]:checked').val(),//int 工单类型-单选，数据来源：数据字典GDLX；
		ywlx: order_handle,//int 业务办理-下拉，工单类型选择“业务办理”时数据来源：数据字典GDLX，工单类型选择“投诉”时数据是投诉，传值ID与工单类型一致
		callCustomer: $('#order_name').val(),//string 客户姓名； -此参数可根据来电弹屏时的客户绑定
		tel:$('#order_tel').val(),    //phoneNumber,//string 联系电话 ； -此参数可根据来电弹屏时的客户绑定
		company: $('#order_company').val(), // 公司名称
		fkcont:  $('#order_reception').val(),//string 反馈内容；
		iseffective: $('#order_iseffective').find('input[type="radio"]:checked').val(),//int 是否有效工单项(0有效，1无效)；
		note: $('#order_note').val(),//string 无效工单必填备注；
		limitdate:$('#sc_time').val(),//截止日期
		files: proimglist && proimglist.join(','), //附件
		clcontent:$("#order_zhipai").val(), //指派说明
		ctype:$('#order_godant').val(),//工单子类
		clbm: order_transfer_dept,//int 接收部门；
		clid: order_receiveUser,//int 接收人；
		auditusercode: $('#order_audit').val(),//string 审核人工号；
		isover: $('#order_isover').find('input[type="radio"]:checked').val(), //int 是否立即处理（默认为0，立即处理为1，立即处理的工单无法指派接收人和接受部门）
		token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() === "success") {
			cleanOrderForm(); //清空新增工单的数据
			// $('.ld-service').find('li.KF').trigger('click'); //进入历史工单页面
			top.workcount();
			layer.msg("保存成功");
		}
	})
}

//清空新增工单的数据
function cleanOrderForm() {
	$('#order_form').find('input.form-control').val('');
	$('#order_form').find('textarea.form-control').val('');
	$('#order_form').find('select.form-control').val('0');

	$('#order_type').find("input[type='radio'][value='107']").prop("checked", true).trigger('change');
	$('#order_iseffective').find("input[type='radio'][value='0']").prop("checked", true).trigger('change');

	$('#order_transfer_dept').val('').trigger('keyup');
	$('#order_transfer_dept').attr('placeholder', '请选择部门');
	$('#order_transfer_dept').attr('data-id', 0);

	$('#order_receiveUser').selectpicker('destroy');
	$('#order_receiveUser').empty();
	$('#order_receiveUser').append('<option value="0">请选择接收人</option>');
	$('#order_receiveUser').selectpicker('refresh');
	
	$('#order_form').find('.selectpicker.form-control').selectpicker('val', '0').trigger('change');
	$('#order_source').selectpicker('val', '468').trigger('change');
	
	$('#order_isover').find("input[type='radio'][value='0']").prop("checked", true);
}


//拉黑 保存
function saveBlack() {
	var reg = /^\+?[1-9][0-9]*$/;
	var n = $("#time-word").val();
	var val = $("input[name='time']:checked").val();
	if(n) {
		if(!(reg.test(n))) {
			layer.confirm('请输入整数时间！', {
				btn: ['确定']
			});
			return;
		}
	} else {
		if(val == '4') {
			n = 0;
		} else {
			layer.confirm('请输入整数时间！', {
				btn: ['确定']
			});
			return;
		}
	}
	$.post(huayi.config.callcenter_url + 'CallInScreen/AddBlack', {
		tel: phoneNumber,
		num: n,
		type: val,
		"token": $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			layer.msg("拉入黑名单成功");
			$('.head_black_btn').text('取消');
			$('.ldtp-con .hei-list').hide();
			$('.la-before').hide();
			$('.retur').show();
		}
	})
}

//取消黑名单
function cancelBlack() {
	$.getJSON(huayi.config.callcenter_url + 'CallInScreen/DelBlack', {
		tel: phoneNumber,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			layer.msg("取消黑名单成功");
			$('.head_black_btn').text('黑名单');
			$('.retur').hide();
			$('.la-before').show();
		}
	})
}


/**
 * 获取接收部门  获取投诉类型
 * el1, 树形结构元素id名 reginsTreeView
 * el2, 搜索框元素id名 order_transfer_dept
 * */
function getDepts(el1, el2) {
	//初始化 样式
	$('#' + el2).on('focus click', function() {
		$('#' + el1).removeClass('hidden').addClass('show');
	});
	$('#' + el2).on('keyup', function() {
		if($(this).val() == '') {
			$('#' + el1).treeview('uncheckAll', {
				silent: true
			});
			$(this).attr('data-id', '0');
		}
	});
	$('#' + el2 + ' .caret').on('click', function() {
		$('#' + el1).removeClass('hidden').addClass('show');
	});
	$('#' + el1).mouseleave(function() {
		$(this).removeClass('show').addClass('hidden');
	});
	
	$.getJSON(huayi.config.callcenter_url + 'Department/GetDeptList', {
		token: $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			var defaultDatas = helper.methods.buildTree(result.data);
			var sortChildrenArr = helper.methods.objToArray(defaultDatas[0].children);
			sortChildrenArr.sort(helper.methods.compare('sort'));
			var sortChildrenObj = helper.methods.arrayToObj(sortChildrenArr);
			defaultDatas[0].children = sortChildrenObj;
			if(defaultDatas) {
				var $sTree = $('#' + el1).treeview({
					color: "#1ab394",
					selectedBackColor: '#1ab394',
					expandIcon: 'glyphicon glyphicon-chevron-right',
					collapseIcon: 'glyphicon glyphicon-chevron-down',
					nodeIcon: 'fa fa-folder-o',
					//selectedIcon: "glyphicon glyphicon-stop",
					//icon: "glyphicon glyphicon-stop",
					//emptyIcon: 'glyphicon',
					//showCheckbox: true,
					selectable: true,
					state: {
						selected: true
					},
					data: defaultDatas,
					onNodeSelected: function(event, node) {
						$sTree.treeview('clearSearch');
						$('#' + el2).val(node.text);
						$('#' + el2).attr('data-id', node.id);
						$('#' + el1).removeClass('show').addClass('hidden');
						//获取接收人员
						getReceiveUser($('#order_receiveUser'), node.id);
					},
					onNodeUnselected: function(event, node) {
						$('#' + el2).attr('data-id', 0);
						$('#' + el2).attr('placeholder', '请选择接收部门');
						$('#order_receiveUser').empty();
						$('#order_receiveUser').append('<option value="0">请选择接收人</option>');
						$('#order_receiveUser').selectpicker('refresh');
					}
				});
//				$('#' + el1).treeview('collapseAll', {
//					silent: true
//				});
				$('#' + el1).treeview('expandAll', { levels: 2, silent: true });
				var findSNodes = function() {
					return $sTree.treeview('search', [$('#' + el2).val(), {
						ignoreCase: false,
						exactMatch: false
					}]);
				};
				$('#' + el2).on('keyup focus', function(e) {
					var selectableNodes = findSNodes();
					//var m = $('#' + el1).treeview('getParent', selectableNodes);
					//$('#' + el1).treeview('selectNode', [ m, { silent: true } ]);
				});
			}

		}
	})
}


//获取接收人员
function getReceiveUser(obj, deptid) {
	$.ajax({
		url: huayi.config.callcenter_url + 'UserAccount/GetDeptUserList',
		type: 'get',
		data: {
			deptid: deptid,
			token: $.cookie("token")
		},
		dataType: "json",
		async: true,
		success: function(res) {
			obj.empty();
			if(res.state.toLowerCase() === "success") {
				res = res.data;
				if(res && res.length > 0) {
					obj.append('<option value="0">请选择接收人</option>');
					res.forEach(function(v, i) {
						obj.append('<option value="' + v.F_UserId + '" data-code="'+ v.F_UserCode +'">' + v.F_UserName + '('+ v.F_UserCode +')</option>');
					});
					obj.selectpicker('refresh');
				}
			}
		},
	});
}

//外呼
function calloutopt(telphone) {
	event.stopPropagation();
	if(telphone) {
		$.ajax({
			type: "get",
			url: huayi.config.callcenter_url + "CallOutOpt/GetCallOutprefix",
			async: true,
			dataType: 'json',
			data: {
				phone: telphone,
				token: $.cookie("token")
			},
			success: function(result) {
				if(result.state.toLowerCase() === "success") {
					top.obj.Type = "MakeCall";
					top.obj.DestinationNumber = result.data.phone;
					top.obj.Header = result.data.fix;
					top.obj.TaskType = "0"; //0:拨号外呼；1:问卷外呼；
					top.obj.TaskPhoneID = ''; // 原来是 回访的电话工单ID
					top.Send();
				}
			}
		});
	}
}




